VERSION: 1.0.0.1
DATABASE: sqmmt
USER: gpadmin
HOST: 192.168.70.109
PORT: 5432
GPLOAD:
  INPUT:
    - SOURCE:
        LOCAL_HOSTNAME:
          - 192.168.70.130
        PORT: 54321
        FILE:
          - /data1/s130/alarm/csv/resultMap20220816151025.csv
    - FORMAT: csv
    - DELIMITER: ","
    - HEADER: false
    - ENCODING: utf-8
    - ERROR_LIMIT: 20000000
    - LOG_ERRORS: true
  EXTERNAL:
    - SCHEMA: tsfx
  OUTPUT:
    - TABLE: tsfx.dw_complain_realtime_alarm_h
    - MODE: merge
    - MATCH_COLUMNS:
        - uniqueid
        - sdate
    - UPDATE_COLUMNS:
        - sdate
        - uniqueclearid
        - eventtime
        - canceltime
        - status
        - projectstatus
        - vendoralarmserial
        - alarmtitle
        - vendorseverity
        - vendoralarmtype
        - specificproblem
        - specificproblemid
        - equipmentclass
        - equipmentname
        - locateneclass
        - locatenename
        - province
        - region
        - city
        - grid
        - area
        - vendor
        - specialty
        - siteid
        - roomid
        - towersiteno
        - proequipmentstatus
        - projectname
        - projectno
        - projectstarttime
        - projectendtime
        - worksendstatus
        - workstatus
        - workno
        - workarchivedtime
        - workdutydep
        - worksendperson
        - alarmlogicclass
        - alarmlogicsubclass
        - standardalarmname
        - alarmseverity
        - standardalarmid
        - effectonequipment
        - effectonbusiness
        - standardflag
        - networktype
        - equipmentdn
        - locatenedn
        - taccode
        - tacid
        - alarmtext
  PRELOAD:
    - TRUNCATE: false
    - REUSE_TABLES: true
    - STAGING_TABLE: extrnal_table_alarm_gpload
    - FAST_MATCH: true
